<?php

namespace WpieFw\Modules\Iterator;

if( ! defined( 'ABSPATH' ) ) exit;

interface WpieModuleInterface
{
	/**
	 * Replacement of class constructor
	 *
	 * Modules could use this method to do some contructor like tasks
	 */
	public function start();

	/**
	 * Callback for the {namespace}_module_init hook
	 *
	 * Every Module is hooked threw this init method with given $priority
	 */
	public function init();

	/**
	 * Callback for hook {namespace}_module_init_activate
	 */
	public function activating();
}